

/*
 *
 *          Copyright (C) 1994, M. A. Sridhar
 *  
 *
 *     This software is Copyright M. A. Sridhar, 1994. You are free
 *     to copy, modify or distribute this software  as you see fit,
 *     and to use  it  for  any  purpose, provided   this copyright
 *     notice and the following   disclaimer are included  with all
 *     copies.
 *
 *                        DISCLAIMER
 *
 *     The author makes no warranties, either expressed or implied,
 *     with respect  to  this  software, its  quality, performance,
 *     merchantability, or fitness for any particular purpose. This
 *     software is distributed  AS IS.  The  user of this  software
 *     assumes all risks  as to its quality  and performance. In no
 *     event shall the author be liable for any direct, indirect or
 *     consequential damages, even if the  author has been  advised
 *     as to the possibility of such damages.
 *
 */

#if defined(__GNUC__)
#pragma implementation
#endif


// -------------------------- containr.cxx ---------------------------

// --------- Don't change the order of includes between these lines -------
#include "base/seqimp.cxx"
#include "base/setimp.cxx"

#include "ui/fontdesc.h"
#include "ui/containr.h"
// --------- Don't change the order of includes between these lines -------
// --------- Otherwise, GNU C will break ----------------------------------

#if defined(__GNUC__)
template class CL_Sequence <UI_Point>;
template class CL_Set <UI_Point>;
template class CL_SetIterator <UI_Point>;
template class CL_Iterator <UI_Point>;
#endif


#if defined(__GNUC__)
template class CL_Sequence<UI_FontInfo>;
template class CL_Basics<UI_FontInfo>;
#endif

typedef CL_Sequence<UI_FontInfo> FontInfoSeq;


